## openssl 1.0.0f

=== debian/changelog ===
openssl (1.0.0f-1) unstable; urgency=high

  * New upstream version
    - Fixes CVE-2011-4108, CVE-2011-4576, CVE-2011-4619, CVE-2012-0027,
      CVE-2011-4577

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 12 Jan 2012 19:02:43 +0100

openssl (1.0.0e-3) unstable; urgency=low

  * Don't build v8 and v9 variants of sparc anymore, they're older than
    the default.  (Closes: #649841)
  * Don't build i486 optimized version, that's the default anyway, and
    it uses assembler that doesn't always work on i486.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 28 Nov 2011 22:17:26 +0100

openssl (1.0.0e-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Block Malaysian's Digicert Sdn. Bhd. certificates by marking them
    as revoked.

 -- Raphael Geissert <geissert@debian.org>  Sun, 06 Nov 2011 01:39:30 -0600
