=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Build-Depends: debhelper (>= 8.1.3), zlib1g-dev, m4, bc
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
 Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>, Kurt Roeckx <kurt@roeckx.be>
 Standards-Version: 3.8.0
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-openssl/openssl
@@ -51,17 +50,6 @@
  .
  Do not install it on a normal system.
 
-Package: libssl1.0.0-udeb
-XC-Package-Type: udeb
-Section: debian-installer
-Priority: optional
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: ssl shared library - udeb
- libssl shared library.
- .
- Do not install it on a normal system.
-
 Package: libssl-dev
 Section: libdevel
 Priority: optional
@@ -78,8 +66,7 @@
 Section: doc
 Priority: optional
 Architecture: all
-Replaces: libssl-dev (<< 1.0.0), openssl-doc
-Conflicts: openssl-doc
+Replaces: libssl-dev (<< 1.0.0)
 Breaks: libssl-dev (<< 1.0.0)
 Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
 Description: SSL development documentation documentation
